DragonPrime - LoGD Resource Community
Welcome Guest
  • Good morning, Guest.
    Please log in, or register.
  • September 29, 2016, 03:07:58 AM
Home Forums News Links Downloads Login Register Advanced Search
* * *
DragonPrime Menu
Login
 
 
Resource Pages
IRC Channels
Search

Pages: [1]   Go Down
  Print  
Author Topic: Problem to install  (Read 5369 times)
0 Members and 1 Guest are viewing this topic.
X-Man
Guest
« on: April 28, 2005, 04:32:45 AM »

hi, have upped all files and created DB, but when i call to my brovser  the installer.php, i get this error:

Warning: mysql_select_db(): Access denied for user 'root'@'localhost' (using password: NO) in /usr/home/domains/...../public_html/rpg/lotgd/lib/dbwrapper.php on line 157

Warning: mysql_select_db(): A link to the server could not be established in /usr/home/domains/......./public_html/rpg/lotgd/lib/dbwrapper.php on line 157

Warning: Cannot modify header information - headers already sent by (output started at /usr/home/..../domains/multi-forum.it/public_html/rpg/lotgd/lib/dbwrapper.php:157) in /usr/home/domains/......./public_html/rpg/lotgd/common.php on line 238

The version is 1.0.2
Why?
 Roll Eyes
Logged
XChrisX
Global Moderator
Mod God
*****
Offline Offline

Posts: 4647

Be aware of the squirrel!


View Profile WWW
« Reply #1 on: April 28, 2005, 05:06:46 AM »

because you entered wronmg information in your dbconnect.php.

The information provided by this file is not accepted by your database server and therefor your access is denied.
Logged

Running for more than three years now:
X-Man
Guest
« Reply #2 on: April 28, 2005, 10:06:40 AM »

OK tkS I solved the problem.....
My file DBconnect are .dist and I had not renamed..... Lips Sealed

Thank You
Logged
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5463



View Profile WWW
« Reply #3 on: April 28, 2005, 10:42:45 AM »

You should not have to edit the dbconnect.php file when using version 1.x.x.  The installer creates that file.
Logged

Play the latest beta version here on DragonPrime
Ragnarok
Guest
« Reply #4 on: September 03, 2005, 09:26:51 PM »

I am having what I believe is a similar problem.  I have a fresh install of 1.0.3 with Apache 2.0.54, MySQL 4.1.14 and PHP 4.4.0 on Win32.  When I load the installer.php module in my browser, I get the following errors at the top of each page:

Warning: mysql_select_db(): Access denied for user 'ODBC'@'localhost' (using password: NO) in C:\Program Files\Apache Group\Apache2\htdocs\lotgd\lib\dbwrapper.php on line 157

Warning: mysql_select_db(): A link to the server could not be established in C:\Program Files\Apache Group\Apache2\htdocs\lotgd\lib\dbwrapper.php on line 157

Warning: Cannot modify header information - headers already sent by (output started at C:\Program Files\Apache Group\Apache2\htdocs\lotgd\lib\dbwrapper.php:157) in C:\Program Files\Apache Group\Apache2\htdocs\lotgd\common.php on line 238

I am able to get to step 4 of the installation, but upon testing the database connection, I also get the following error:

PHP Warning: "mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client"
in C:\Program Files\Apache Group\Apache2\htdocs\lotgd\installer.php at 1134.
Call Stack:
2: mysql_connect("localhost", "username", "password") called from C:\Program Files\Apache Group\Apache2\htdocs\lotgd\installer.php on line 1134

I have substituted "username" and "password" here for the actual username and password I am using to connect to the database.  The username is not 'ODBC', and there is a password, which seems to be contrary to what the first error at the top of each page indicates.  

I'm sure I'm doing something wrong, but I know absolutely nothing about Apache, MySQL, or PHP, so I have no idea what it is that I'm doing wrong.  One of the previous posts in this thread mentions a dbconnect.php file, which is supposed to be created during the installation process.  I do not have this file, so perhaps it gets created after this step?

Somebody, please, help a total n00b out!  My thanks in advance!
Logged
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5463



View Profile WWW
« Reply #5 on: September 03, 2005, 10:37:23 PM »

The errors at the top of the first three pages are not unusual and will not affect your installation.

dbconnect.php is not created until after you've supplied the database location, name, username and password, and install.php has successfully tested it's ability to access the database.

I suspect the problem lies with your php/sql/apache installation package.  You may want to try EasyPHP (see Links page) to solve that one.
Logged

Play the latest beta version here on DragonPrime
SaucyWench
Mod God
*****
Offline Offline

Posts: 2238


I'm a good girl.


View Profile WWW
« Reply #6 on: September 04, 2005, 12:10:45 AM »

Ragnarok, the password error is a red herring here... the actual problem is that it couldn't connect.

While many people ask questions because they want to learn, anyone correctly identifying themselves as a newbie is going to have major problems later on. If you take a cursory glance through http://www.logd.com/about.php?op=listmodules you might be surprised how often my name appears (Shannon Brown) - and I consider myself very much still learning!

I also had errors during an install that were difficult to rectify, and it showed me just how much knowledge I was lacking. Please take this not as a smackdown, but you're not ready to host. I hope you'll use my observation to encourage you to learn a little bit more about MySQL or PHP so that it is less of a headache when you do feel you're ready, later on.
Logged

SaucyWench
Owner of GemDust.com and Darton City proudly hosted by LunarPages
Ragnarok
Guest
« Reply #7 on: September 04, 2005, 01:56:50 AM »

The EasyPHP installation did the trick.  It's up and running now.

You're likely right in that I'm not ready to host.  At this point, it's more of a learning experience than anything else.  Maybe someday, armed with more knowledge -- and more bandwidth  Grin -- I'll be able to host one for the world.  Until then, thanks for the help, and the advice!
Logged
SaucyWench
Mod God
*****
Offline Offline

Posts: 2238


I'm a good girl.


View Profile WWW
« Reply #8 on: September 04, 2005, 08:56:49 AM »

Oh, great news Smiley Playing with modules is good fun - make sure before you start that you have a second account with user editor for when you screw up and break your own navs and need to rescue yourself. Note here I said "when", not "if". Kendaer and I have had to bail each other out, so we all have done it. Smiley
Logged

SaucyWench
Owner of GemDust.com and Darton City proudly hosted by LunarPages
Elessa
Faerie
Mod God
*****
Offline Offline

Posts: 3599


short, sweet and to the point


View Profile
« Reply #9 on: September 04, 2005, 09:00:58 AM »

not to mention, in addition to having two accounts with superuser abilities, it is also highly recommended to hath two servers. one as a test/development server and one for the game with players.

tis always best to install new modules or the next upgrade on the test/dev server first to work out the kinks so that ye aren't inflicting bugs and frustrations on players.
Logged

Uuma ma ten rashwe, ta tuluva a lle

Play the latest beta version here on LoGD DragonPrime - Axebridge
Pages: [1]   Go Up
  Print  
 
Jump to:  


*
DragonPrime Notices
Welcome to DragonPrime - The LoGD Resource Community!

Support Us
No funds raised yet this year
Your help is greatly appreciated!
Who's Online
51 Guests, 0 Users
DragonPrime LoGD
Recent Topics
Home Forums News Links Downloads Login Register Advanced Search